org.gjt.sp.jedit.search

## Class CurrentBufferSet

- java.lang.Object
- - org.gjt.sp.jedit.search.CurrentBufferSet

- All Implemented Interfaces:
    SearchFileSet

      public class CurrentBufferSet
      extends java.lang.Object
      implements SearchFileSet

  A file set for searching the current buffer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentBufferSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Returns the BeanShell code that will recreate this file set.
    `int` | `getFileCount(View view)` Returns the number of files in this file set.
    `java.lang.String[]` | `getFiles(View view)` Returns all path names in this file set.
    `java.lang.String` | `getFirstFile(View view)` Returns the first file to search.
    `java.lang.String` | `getLastFile(View view)` Returns the last file to search.
    `java.lang.String` | `getNextFile(View view, java.lang.String file)` Returns the next file to search.
    `java.lang.String` | `getPrevFile(View view, java.lang.String file)` Returns the previous file in the set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentBufferSet

          public CurrentBufferSet()

  - ### Method Detail

    - #### getFirstFile

          public java.lang.String getFirstFile(View view)

      Description copied from interface: `SearchFileSet`
      Returns the first file to search.
      Specified by:
        `getFirstFile` in interface `SearchFileSet`
      Parameters:
        `view` - The view performing the search

    - #### getLastFile

          public java.lang.String getLastFile(View view)

      Description copied from interface: `SearchFileSet`
      Returns the last file to search.
      Specified by:
        `getLastFile` in interface `SearchFileSet`
      Parameters:
        `view` - The view performing the search

    - #### getNextFile

          public java.lang.String getNextFile(View view,
                                     java.lang.String file)

      Description copied from interface: `SearchFileSet`
      Returns the next file to search.
      Specified by:
        `getNextFile` in interface `SearchFileSet`
      Parameters:
        `view` - The view performing the search
        `file` - The last file searched

    - #### getPrevFile

          public java.lang.String getPrevFile(View view,
                                     java.lang.String file)

      Description copied from interface: `SearchFileSet`
      Returns the previous file in the set.
      Specified by:
        `getPrevFile` in interface `SearchFileSet`
      Parameters:
        `view` - The view performing the search
        `file` - The last file searched

    - #### getFiles

          public java.lang.String[] getFiles(View view)

      Description copied from interface: `SearchFileSet`
      Returns all path names in this file set.
      Specified by:
        `getFiles` in interface `SearchFileSet`
      Parameters:
        `view` - The view performing the search

    - #### getFileCount

          public int getFileCount(View view)

      Description copied from interface: `SearchFileSet`
      Returns the number of files in this file set.
      Specified by:
        `getFileCount` in interface `SearchFileSet`

    - #### getCode

          public java.lang.String getCode()

      Description copied from interface: `SearchFileSet`
      Returns the BeanShell code that will recreate this file set.
      Specified by:
        `getCode` in interface `SearchFileSet`